Subject: Re: [BEHAVE] draft-ietf-behave-nat-icmp-03.txt

From: Philip Matthews <[email-masked]>
Date: Wed, 28 Mar 2007 12:25:04 -0400

On 21-Mar-07, at 19:38 , David Barrett wrote:

>
> Nobody's arguing for the destruction of ICMP.  It's a question of  
> whether
> BEHAVE mandates that NATs support a minimal subset of protocols  
> (ICMP, TCP,
> UDP) or not.
>
> Both positions are reasonable:
> - BEHAVE defines the behavior for several optional protocols
> - BEHAVE defines the behavior for several mandatory protocols
>
> I think I fall in the first camp: if a NAT is going to support ICMP  
> (or UDP,
> or TCP) at all, it should support it as BEHAVE dictates.  If the  
> NAT for
> some reason doesn't support ICMP (or UDP, or TCP), then it need  
> only comply
> with BEHAVE for those protocols it chooses to support.
>
> Given that there are more protocols than just ICMP, TCP, and UDP,  
> this seems
> the only sustainable path.
>

I think David raises a very good point that we need to clear up.
Personally, I also fall in the first camp.

Does anyone believe that the WG has already made a decision on this  
point?

- Philip

_______________________________________________
Behave mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/behave